Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/MessageQueue/MessageQueue.h File Reference

Definition of class MessageQueue. More...

`#include "InMessage.h"`
`#include "OutMessage.h"`

Include dependency graph for MessageQueue.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | MessageQueue
| A queue for size varying, time stamped and type safe messages. More...
## Functions
In & | operator>> (In &stream, MessageQueue &messageQueue)
| gives the In streaming opeator access to protected members
Out & | operator<< (Out &stream, const MessageQueue &messageQueue)
| Gives the stream operator access to protected members.
void | operator>> (InMessage &message, MessageQueue &queue)
| gives the operator that copies a InMessage to another queue access to protected members

## Detailed Description

Definition of class MessageQueue.

Include this file if for declaring instances of MessageQueue.

Author:
  Martin Lötzsch

Definition in file MessageQueue.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | MessageQueue & | messageQueue
| ) |

  | gives the In streaming opeator access to protected members Parameters:
  stream | The stream from which is read.
  messageQueue | The MessageQueue object.
Returns: The stream. Definition at line 104 of file MessageQueue.cpp. References ASSERT, OutMessage::bin, In::eof(), OutMessage::finishMessage(), MessageID, MessageQueue::out, In::read(), and OutStream< OutMessageQueue, OutBinary >::write().

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const MessageQueue & | messageQueue
| ) |

  | Gives the stream operator access to protected members. Parameters:
  stream | The stream to write on.
  messageQueue | The MessageQueue object.
Returns: The stream. Definition at line 153 of file MessageQueue.cpp. References InMessage::getData(), InMessage::getMessageID(), InMessage::getMessageSize(), InMessage::getMessageWasSentFromAPhysicalRobot(), MessageQueueBase::getNumberOfMessages(), InMessage::getPlayerNumber(), InMessage::getTeamColor(), InMessage::getTimeStamp(), MessageQueue::in, MessageQueue::queue, and Out::write().

Here is the call graph for this function:

void operator>> | ( | InMessage & | message,
|  | MessageQueue & | queue
| ) |

  | gives the operator that copies a InMessage to another queue access to protected members Parameters:
  message | The InMessage to write.
  queue | The MessageQueue object.
Definition at line 180 of file MessageQueue.cpp. References OutMessage::bin, OutMessage::finishMessage(), InMessage::getData(), InMessage::getMessageID(), InMessage::getMessageSize(), InMessage::getMessageWasSentFromAPhysicalRobot(), InMessage::getPlayerNumber(), InMessage::getTeamColor(), InMessage::getTimeStamp(), MessageQueue::out, and OutStream< OutMessageQueue, OutBinary >::write().

Here is the call graph for this function: